package net.femtoparsec.fpcxls;

import org.apache.poi.openxml4j.exceptions.InvalidFormatException;
import org.apache.poi.ss.usermodel.*;

import java.awt.*;
import java.io.*;

/**
 * Hello world!
 *
 */
public class Main
{
    public static void main( String[] args ) throws IOException, InvalidFormatException {

        Workbook reference = null;
        Workbook target = null;
        OutputStream out = null;
        try {
            reference = WorkbookFactory.create(Main.class.getResourceAsStream("template.xlsx"));
            target = WorkbookUtils.createSameType(reference);

            WorkbookUtils.copyStyles(reference, target);

            final Sheet sheet = target.createSheet();

            final Row row = sheet.createRow(0);
            int col = 0;
            for (short i = 1; i < target.getNumCellStyles(); i++) {
                final Cell cell = row.createCell(col++);
                cell.setCellValue("Coucou"+i);
                cell.setCellStyle(target.getCellStyleAt(i));
            }

            final File output = new File("out.xlsx");
            out = new FileOutputStream(output);
            target.write(out);

            Desktop.getDesktop().browse(output.toURI());
        }
        finally {
            closeQuietly(out);
            closeQuietly(target);
            closeQuietly(reference);
        }



    }

    private static void closeQuietly(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (IOException e) {
                //ignored
            }
        }
    }
}
