package net.femtoparsec.fpcxls;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

/**
 * @author Bastien Aracil
 * @version 29/06/2015.
 */
public class WorkbookUtils {

    public static void copyStyles(Workbook reference, Workbook target) {
        final short numberOfStyles = reference.getNumCellStyles();


        for (short i = 0; i < numberOfStyles; i++) {
            final CellStyle referenceStyle = reference.getCellStyleAt(i);
            if (i == 0) {
                continue;
            }
            final CellStyle targetStyle = target.createCellStyle();
            targetStyle.cloneStyleFrom(referenceStyle);
        }

        System.out.println("Reference : "+reference.getNumCellStyles());
        System.out.println("Target    : "+target.getNumCellStyles());
    }

    public static Workbook createSameType(Workbook reference) {
        if (reference instanceof HSSFWorkbook) {
            return new HSSFWorkbook();
        }
        else if (reference instanceof XSSFWorkbook) {
            return new XSSFWorkbook();
        }
        throw new IllegalArgumentException("Unknown workbook type "+reference.getClass());
    }
}
